//
// log_test.go
// Copyright (C) 2022 tiglog <me@tiglog.com>
//
// Distributed under terms of the MIT license.
//

package logger_test

import (
	"testing"

	"git.hexq.cn/tiglog/golib/gtest"
	"git.hexq.cn/tiglog/golib/logger"
	"github.com/pkg/errors"
)

func inner() error {
	return errors.New("seems we have an error here")
}

func middle() error {
	err := inner()
	if err != nil {
		return err
	}
	return nil
}

func outer() error {
	err := middle()
	if err != nil {
		return err
	}
	return nil
}

func TestLogToFile(t *testing.T) {
	// logger.SetupLog("./var/log/test.log", zerolog.DebugLevel)
	var log = logger.Get()
	gtest.NotNil(t, log)
	err := outer()
	log.Error().Err(err).Msg("hello world")
	log.Info().Msg("中华人民共和国")
}
